Subject: RE: some bizarre thoughts on 802.11 equipped trains, MIPv6 and SEND.

From: "Jean-Michel COMBES" <[email-masked]>
Date: Sat, 30 Nov 2002 17:21:19 +0100

Hi,

> -----Message d'origine-----
> De : [email-masked]
> [mailto:[email-masked]]De la part de Michael
> Richardson
> Envoye : vendredi 29 novembre 2002 18:33
> A : ietf-send; [email-masked]
> Cc : [email-masked]; Bart Trojanowski
> Objet : some bizarre thoughts on 802.11 equipped trains, MIPv6 and
SEND.
>
>
> -----BEGIN PGP SIGNED MESSAGE-----
>
>
> Background:
> Richard and I are on a VIA rail train, with laptops, on the way to
Toronto
> for some meetings.
>
> I am complaining that the train doesn't go fast enough, or at least
that
> there isn't the view out the window doesn't really impress me how fast
it
> goes, but that seeing out the front would help. We decided that the
engine
> needs an 802.11 equipped webcam on the front of the locomotive. Geeks
like
> me can then hit Shift-Reload, or use streaming media to see where we
are
> going.
>
> We then discussed the fact that the train system ought to be using IP
for
> management (talking to the virtual caboose, telemetry back to HQ,
> etc.). Wouldn't it be nice if the infrastruture was really secure
> enough that
> passenger train operators felt comfortable sharing their
> management infrastructure with
> the passengers.  (I know that some trains in Japan have 802.11,
> but I'm sure
> it is seperate from the operator's networks)
>
> Is this a new model for SEND? Or just a combination of models?
>
> It is quite possible that the train would contain a mobile
> *network* of some
> kind. My laptop, using the train's mobile network, would actually
> want to be
> mobile from its home. I think that this is just a complicated form of
> roaming.... I'm on a network that itself is moving. Whether the train
is
> getting new prefixes as it travels along vs doing some layer 2 thing
is
> debatable.

This is typically a NEMO architecture with a MR (Mobile Router) in our
train
and our laptop is a VMN (Visiting Mobile Node). For more details, see
draft-ernst-nemo-terminology.txt
(http://www.nal.motlabs.com/nemo/drafts/draft-ernst-nemo-terminology.txt
).

Regards.

JMC.

France Telecom R&D - DTL/SSR
Jean-Michel COMBES, Internet/Intranet Security
E-Mail : [email-masked]
Phone +33 (0)1 45 29 45 94, Fax +33 (0)1 45 29 65 19